#ifndef PIXELDEFENSE_UI_WIDGETS_H
#define PIXELDEFENSE_UI_WIDGETS_H

#include <breeze.h>
#include <raygui.h>

extern BzUI *UI; // defined in main.c

f32 uiGetScale();

BzUINode *uiPushDivParentPercentage(f32 xPercent, f32 yPercent);

// Template stuff
void uiBaseLabel(const char *txt, Font font, f32 scl);
bool uiBaseTextButton(const char *txt, Font font, f32 scl);
void uiBaseCheckbox(const char *txt, Font font, f32 scl, bool *check);
void uiBaseSlider(const char *txt, Font font, f32 scl, f32 *value, f32 min, f32 max);

// actual UI
void uiMainMenuLabel(const char *txt);
bool uiMainMenuButton(const char *txt);

void uiSettingsLabel(const char *txt);
bool uiSettingsButton(const char *txt);
void uiSettingsCheckbox(const char *txt, bool *check);
void uiSettingsSlider(const char *txt, f32 *value);

void uiGameResCount(i32 amount, i32 capacity, Rectangle icon, Texture2D texture);

#endif //PIXELDEFENSE_UI_WIDGETS_H
